from typing import Dict
from codegen.datatypes import CDataType
from codegen.dbl_list.make_dbl_list import DblListData, make_dbl_list
from codegen.array.make_array import ArrayData, make_array


def main():
    gen_dbl_list()
    gen_array()


def gen_dbl_list():
    datatypes: Dict[CDataType, DblListData] = {}
    make_dbl_list(datatypes)


def gen_array():
    datatypes: Dict[CDataType, ArrayData] = {}
    make_array(datatypes)


if __name__ == "__main__":
    main()
